Bug 168921 - system-config-users does not list rhpl as dependencies
system-config-users does not list rhpl as dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 07:18 EDT by Filip Miletic
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.39-0.fc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 02:51:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Miletic 2005-09-21 07:18:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sr-YU; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
system-config-users installs despite the required package rhpl not installed.

Version-Release number of selected component (if applicable):
system-config-users 1.2.38-1

How reproducible:
Didn't try

Steps to Reproduce:
1. Installed system-config-users via apt-get
  [root@cowfarm ~]# apt-get install system-config-users
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
   pygtk2 (2.6.2-0.fc4.1)
   pygtk2-libglade (2.6.2-0.fc4.1)
The following NEW packages will be installed:
   pygtk2 (2.6.2-0.fc4.1)
   pygtk2-libglade (2.6.2-0.fc4.1)
   system-config-users (1.2.38-1)
0 upgraded, 3 newly installed, 0 removed and 0 not upgraded.
Need to get 1299kB of archives.
After unpacking 4246kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://ayo.freshrpms.net fedora/linux/4/i386/updates pygtk2 2.6.2-0.fc4.1 [979kB]
Get:2 http://ayo.freshrpms.net fedora/linux/4/i386/updates pygtk2-libglade 2.6.2-0.fc4.1 [14.7kB]
Get:3 http://ayo.freshrpms.net fedora/linux/4/i386/core system-config-users 1.2.38-1 [305kB]
Fetched 1299kB in 6s (191kB/s)
Checking GPG signatures...  ########################################### [100%]
Committing changes...
Preparing...                ########################################### [100%]
   1:pygtk2                 ########################################### [ 33%]
   2:pygtk2-libglade        ########################################### [ 67%]
   3:system-config-users    ########################################### [100%]
Done.



Actual Results:  [filip@cowfarm ~]$ sudo system-config-users
Password:
Traceback (most recent call last):
  File "/usr/share/system-config-users/system-config-users.py", line 33, in ?
    from rhpl.translate import _, N_
ImportError: No module named rhpl.translate


Expected Results:  The system-config-users should have started in an own window.

Additional info:

Note missing rhpl.

[root@cowfarm filip]# rpm -qR system-config-users
/bin/sh
/bin/sh
/bin/sh
/usr/bin/pgrep
/usr/bin/python2
config(system-config-users) = 1.2.38-1
htmlview
libuser >= 0.52.5
pygtk2
pygtk2-libglade
python2
rpm-python
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
usermode >= 1.36
[root@cowfarm filip]#
Comment 1 Nils Philippsen 2005-09-23 10:57:17 EDT
system-config-users-1.2.39-0.fc4.1 which should fix this is in the queue for
first testing then final updates.
Comment 2 Fedora Update System 2005-09-23 11:43:24 EDT
From User-Agent: XML-RPC

system-config-users-1.2.39-0.fc4.1 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2005-09-29 12:17:44 EDT
From User-Agent: XML-RPC

system-config-users-1.2.39-0.fc4.1 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.